%define oname core_kernel

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.13.0
Release:        %mkrel 4
Summary:        Industrial strength alternative to OCaml's standard library

Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/%{oname}
Source0:        https://github.com/janestreet/%{oname}/archive/v%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  opam

BuildRequires:  ocaml-base_bigstring
BuildRequires:  ocaml-base-devel >= 0.11
BuildRequires:  ocaml-bin_prot-devel >= 1:0.11
BuildRequires:  ocaml-configurator >= 0.11
BuildRequires:  ocaml-fieldslib >= 1:0.11
BuildRequires:  ocaml-jane-street-headers-devel
BuildRequires:  ocaml-jst-config-devel
BuildRequires:  ocaml-ppx_assert-devel >= 1:0.11
BuildRequires:  ocaml-ppx_base >= 0.11
BuildRequires:  ocaml-ppx_bench-devel >= 0.11
BuildRequires:  ocaml-ppx_expect-devel
BuildRequires:  ocaml-ppx_hash >= 0.11
BuildRequires:  ocaml-ppx_inline_test-devel >= 0.11
BuildRequires:  ocaml-ppx_jane >= 0.11
BuildRequires:  ocaml-ppx_sexp_conv >= 1:0.11
BuildRequires:  ocaml-ppx_sexp_message >= 1:0.11
BuildRequires:  ocaml-sexplib >= 2:0.11
BuildRequires:	ocaml-splittable_random >= 0.11
BuildRequires:  ocaml-stdio >= 0.13
BuildRequires:  ocaml-typerep >= 1:0.11
BuildRequires:  ocaml-variantslib >= 1:0.11
BuildRequires:  ocaml-migrate-parsetree >= 1.0
BuildRequires:  ocaml-result-devel

Requires:       ocaml-jane-street-headers

%description
Industrial strength alternative to OCaml's standard library

The Core suite of libraries is an industrial strength alternative to
OCaml's standard library that was developed by Jane Street, the
largest industrial user of OCaml.

Core_kernel is the system-independent part of Core.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
dune build --verbose -p %{oname} %_smp_mflags

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install
rm -rf %buildroot/usr/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%check
# Bootstrap issue, requires ocaml-core
#jbuilder runtest

%files
%license LICENSE.md
%doc README.*
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*dune*
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs

%dir %{_libdir}/ocaml/%{oname}/*/
%{_libdir}/ocaml/%{oname}/*/*.cmi
%{_libdir}/ocaml/%{oname}/*/*.cma
%{_libdir}/ocaml/%{oname}/*/*.a
%{_libdir}/ocaml/%{oname}/*/*.cmxa
%{_libdir}/ocaml/%{oname}/*/*.cmxs

%{_libdir}/ocaml/stublibs/dll%{oname}_stubs.so
%{_libdir}/ocaml/stublibs/dllversion_util_stubs.so
%{_libdir}/ocaml/%{oname}/*.js
%{_libdir}/ocaml/%{oname}/version_util/

%files devel
%{_libdir}/ocaml/%{oname}/opam
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx
%{_libdir}/ocaml/%{oname}/*.ml*

%{_libdir}/ocaml/%{oname}/*/*.cmt
%{_libdir}/ocaml/%{oname}/*/*.cmti
%{_libdir}/ocaml/%{oname}/*/*.cmx
%{_libdir}/ocaml/%{oname}/*/*.ml*

%{_libdir}/ocaml/%{oname}/*.h


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-4.mga8
+ Revision: 1670833
- Rebuild to generate ocamlx provides

* Sat Feb 29 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1552287
- Rebuild for ocaml 4.10.0 final
- Mageia 8 Mass Rebuild
+ tv <tv>
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.1-1.mga7
+ Revision: 1324486
- Update to 0.11.1

* Sun Sep 30 2018 daviddavid <daviddavid> 1:0.10.0-8.mga7
+ Revision: 1312655
- rebuild against current ocaml stack

* Sun Sep 30 2018 daviddavid <daviddavid> 1:0.10.0-7.mga7
+ Revision: 1312642
- rebuild against ocaml-sexplib

* Fri Sep 28 2018 umeabot <umeabot> 1:0.10.0-6.mga7
+ Revision: 1310503
- Mageia 7 Mass Rebuild

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-5.mga7
+ Revision: 1242245
- rebuild for ocaml-sexplib

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1242101
- rebuild against current ocaml stack
- enable debug package as it should

* Mon Feb 05 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1199040
- fix shared stubs libraries ocaml path

* Tue Jan 16 2018 pterjan <pterjan> 1:0.10.0-2.mga7
+ Revision: 1193710
- Add missing explicit dependency

* Tue Jan 16 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193705
- Fix BuildRequires
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 977715
- Update file list
- imported package ocaml-core_kernel

